Subject: Re: [PATCH V2] git-send-email: Add ability to cc: any "bylines" in the commit message

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Aug 2016 13:09:38 -0700

Joe Perches <[email-masked]> writes:

> On Wed, 2016-08-31 at 12:34 -0700, Junio C Hamano wrote:
>> Joe Perches <[email-masked]> writes:
>> > Many commits have various forms of bylines similar to
>> A missing blank line (I can tweak while queuing).
> []
>> > +				next if $suppress_cc{'bylines'} and $what !~ /Signed-off-by/i and $what =~ /by$/i;
>> Having to keep this /by$/i in sync with whatever definition of
>> bylines is will be error prone.  How about doing it in this way?
>> 
>> 	# Now parse the message body
>> +	my $bypat = r/[\w-]+-by/;
>> 	while (<$fh>) {
>>         	...
>>                 if (/^(Signed-off-by|Cc|$bypat): (.*)$/i) {
>>                 	...
>>                         	next if $suppress_cc{'bodycc'} and $what =~ /Cc/i;
>> +				next if $suppress_cc{'bylines'} and
>> +					$what !~ /^Signed-off-by/i and
>> +					$what =~ /^$bypat/i;
>> 
>> Other than that, looking good.
>
> Sure, whatever you want, do you want a v3 from me or can
> you fix it up however you want?

This topic is not my itch, so "however I want" would not be a good
instruction to me--The lazy one in me would be tempted to say "ok,
then I'd drop it altogether" ;-)

I am sure the typo "[^\s]+[\w-]by" in the one we just saw was merely
because you rushed it out without double checking.  We are in
pre-release feature freeze so there is no need to rush.  I'd prefer
to see a final version that is carefully proof-read by the author.

Thanks.